Package org.apache.tomcat.util.http.parser

## Class ContentRange

- java.lang.Object
- - org.apache.tomcat.util.http.parser.ContentRange

-     public class ContentRange
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContentRange​(String units, long start, long end, long length)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getEnd()` |
    `long` | `getLength()` |
    `long` | `getStart()` |
    `String` | `getUnits()` |
    `static ContentRange` | `parse​(StringReader input)` | Parses a Content-Range header from an HTTP header.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContentRange

          public ContentRange​(String units,
                              long start,
                              long end,
                              long length)

  - ### Method Detail

    - #### getUnits

          public String getUnits()

    - #### getStart

          public long getStart()

    - #### getEnd

          public long getEnd()

    - #### getLength

          public long getLength()

    - #### parse

          public static ContentRange parse​(StringReader input)
                                    throws IOException

      Parses a Content-Range header from an HTTP header.
      Parameters:
        `input` - a reader over the header text
      Returns:
        the range parsed from the input, or null if not valid
      Throws:
        `IOException` - if there was a problem reading the input